[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.Clear

Removes all items from the list box control.

## Declaration

Source position: stdctrls.pp line 616

`public procedure TCustomListBox.Clear; virtual;`

## Description

Clear is a procedure used to remove all values stored in the Items property. Clear calls the Clear method in Items, and sets the value in ItemIndex to -1 to indicate that no item is selected in the control.

## See also

TCustomListBox.Items |  | The list of all items defined in the control.
TCustomListBox.ItemIndex |  | Ordinal position for the currently selected item, -1 if none.
TExtendedStringList.Clear
TStrings.Clear